Bug 1007065 - sddm: non userlist mode default theme
Summary: sddm: non userlist mode default theme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: heisenbug-kde-theme
Version: 20
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: SDDMDefault
TreeView+ depends on / blocked
 
Reported: 2013-09-11 20:24 UTC by Orion Poplawski
Modified: 2013-11-10 07:26 UTC (History)
10 users (show)

Fixed In Version: heisenbug-kde-theme-19.90.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-10 07:26:12 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2013-09-11 20:24:14 UTC
Description of problem:

For security and usability reasons, sddm needs a username and password entry mode like kdm had.
 
Version-Release number of selected component (if applicable):
sddm-0.2.0-0.6.20130821gite707e229.fc20

Comment 1 Martin Bříza 2013-09-12 07:29:42 UTC
SDDM has themes that allow this. Change the CurrentTheme value in /etc/sddm.conf to circles, elarun or maldives. Closing as not a bug. If you still think this is broken, please reopen the report.
Also, please test if you can log to your account from LDAP as per Bug #1007067 with these themes.
Thank you.

Comment 2 Rex Dieter 2013-09-12 13:51:49 UTC
I think history has taught us (with with both past gdm and kdm theming), that either user list mode needs to be both robust (to be able to handle 1000's of users well) and allow for manual login for users not listed.

In practice, supporting that has been difficult/impossible in the past, so the compromise had been to not use user lists in default theming.  I think we should do the same for sddm default theming as well.

Reopening, re-assigning to -kde-theme


While we're on the topic, we could consider moving sddm's settings elsewhere, similar to kde-settings-kdm.

Comment 3 Rex Dieter 2013-09-12 14:04:31 UTC
oops, wrong reassignment. :)

Comment 4 Orion Poplawski 2013-10-09 22:20:47 UTC
Any progress here?  It seems like the default theme still is a user list.

Comment 5 Rex Dieter 2013-10-09 22:35:44 UTC
Martin has a work-in-progress theme, and I think he'll commit what he has to 
https://fedorahosted.org/fedora-kde-artwork/browser
soon.  Then we can flex some polish and packaging muscle.

Comment 6 Fedora Update System 2013-10-11 18:34:36 UTC
heisenbug-kde-theme-19.90.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/heisenbug-kde-theme-19.90.4-1.fc20

Comment 7 Fedora Update System 2013-10-12 02:27:02 UTC
Package heisenbug-kde-theme-19.90.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing heisenbug-kde-theme-19.90.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18944/heisenbug-kde-theme-19.90.4-1.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-11-10 07:26:12 UTC
heisenbug-kde-theme-19.90.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.